import Config from '../static/config/index.js';
import WXBizDataCrypt from "./WXBizDataCrypt.js"; 
import {$EventBus} from './EventBus'
export default{
	getallNum(arrA) {
		let arrA1 = [{
				"goodsId": 100,
				"name": "冰茶咖啡",
				"price": 29.9,
				"discount": 19.9,
				flag: true,
				thumbnail: 'https://img2.baidu.com/it/u=1001625387,3275765924&fm=26&fmt=auto&gp=0.jpg',
				num: 1,
				rules: [{
						"specId": 1,
						"specName": "温度",
						"ruleId": 1,
						"ruleName": "常温"
					},
					{
						"specId": 2,
						"specName": "糖度",
						"ruleId": 3,
						"ruleName": "无糖"
					}
				]
			},
			{
				"goodsId": 101,
				"name": "冰茶咖啡",
				"price": 29.9,
				"discount": 19.9,
				flag: true,
				thumbnail: 'https://img2.baidu.com/it/u=1001625387,3275765924&fm=26&fmt=auto&gp=0.jpg',
				num: 3,
				rules: [{
						"specId": 1,
						"specName": "温度",
						"ruleId": 1,
						"ruleName": "常温"
					},
					{
						"specId": 2,
						"specName": "糖度",
						"ruleId": 3,
						"ruleName": "无糖"
					}
				]
			}
		]
		// arrA = []
		let shopCarInfo = uni.getStorageSync('shopCarInfo');
		let shopCarInfoAdd = []
		 console.log(shopCarInfo, 55553333)
		if (shopCarInfo) {
			let ids = shopCarInfo.map(v => v.goodsId);
			console.log(ids, 444)
			shopCarInfo.forEach((item) => {
				arrA.forEach((preItem, index) => {
					console.log(ids.includes(preItem.goodsId), 1234567)
					let ind = ids.indexOf(preItem.goodsId);
					if (ind > -1) {
						let num = 0;
						for (let i = 0; i < item.rules.length; i++) {
							let it = item.rules[i];
							for (let r = 0; r < preItem.rules.length; r++) {
								let ry = preItem.rules[r];
								if (ry.specId == it.specId && ry.ruleId == it.ruleId) {
									num += 1;
								}
							}
						}
						if (num == item.rules.length) {
							item.num += 1
						} else {
							shopCarInfoAdd.push(preItem)
						}

					} else {
						shopCarInfoAdd.push(preItem);
						arrA.splice(index, 1)
					}
				});
			})
		} else {
			shopCarInfo = arrA
		}
		shopCarInfo = [...shopCarInfo, ...shopCarInfoAdd];
		uni.setStorageSync('shopCarInfo', shopCarInfo);
		$EventBus.$emit('updateCar');
		// this.goods = uni.getStorageSync('shopCarInfo');
	},
	// 解密手机
	async onGetPhoneNumber(appid,session_key,encryptedData,iv) {
	 let pc = await new WXBizDataCrypt(appid,session_key);
	 let data = await pc.decryptData(encryptedData ,iv);
	 return data;
	},
	// 扫码方法
	scanCode() {
			 uni.scanCode({
				  success:(res)=> {
					   this.scaninfo=res;
					   if(res.result){//res.result
					   if(res.result.includes(Config.AVScanUrl)){
						   uni.reLaunch({
							url:`/pages/index/index?q=${res.result}`
						   })
					   }else{
						   uni.showToast({
						   	title:'二维码错误',
							icon:'none'
						   })
					   }
					   // '0016429'||
					   
					   // `../pages/index/index`
					//    console.log(res.result,'内部扫码')
					   }
				  },
				  fail() {
				  	 uni.showToast({
						 icon:'none',
						 title:'扫码失败'
					 })
				  }
			  });
	},
	formatDate(value) {
	                var date = new Date();
	                date.setTime(value);
	                var month = date.getMonth() + 1;
					if (month < 10)
					    month = "0" + month;
					var cdate = date.getDate();
					if (cdate < 10)
					    cdate = "0" + cdate;
	                var hours = date.getHours();
	                if (hours < 10)
	                    hours = "0" + hours;
	                var minutes = date.getMinutes();
	                if (minutes < 10)
	                    minutes = "0" + minutes;
	                var time = date.getFullYear() + "-" + month + "-" + cdate +
	                    " " + hours + ":" + minutes;
	                return time;
	            },
    numberFixed(data,fixed=2){
		if(data==undefined){
			return undefined
		}else if(data == 0){
			return '0'
		}else{
			return (Math.round(Number(data) * Math.pow(10,fixed)) / Math.pow(10,fixed)).toFixed(fixed);
		}
	}
}